Loading...
Searching...
No Matches
elastix::InterpolatorBase< TElastix > Class Template Reference
Components » Interpolators | Core » Component Base Classes

`#include <elxInterpolatorBase.h>`

## Detailed Description

template<class TElastix>
class elastix::InterpolatorBase< TElastix >

This class is the elastix base class for all Interpolators.

This class contains all the common functionality for Interpolators.

Definition at line 44 of file elxInterpolatorBase.h.

Inheritance diagram for elastix::InterpolatorBase< TElastix >:
[legend]

## Public Types

using | CoordRepType = ElastixBase::CoordRepType
using | ElastixType
using | InputImageType = typename ElastixType::MovingImageType
using | ITKBaseType = itk::InterpolateImageFunction<InputImageType, CoordRepType>
using | RegistrationType
using | Self = InterpolatorBase
using | Superclass = BaseComponentSE<TElastix>
Public Types inherited from elastix::BaseComponentSE< TElastix >
using | ElastixType = TElastix
using | RegistrationType = typename ElastixType::RegistrationBaseType
using | Self = BaseComponentSE
using | Superclass = BaseComponent

## Public Member Functions

ITKBaseType * | GetAsITKBaseType ()
const ITKBaseType * | GetAsITKBaseType () const
virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (InterpolatorBase)
Public Member Functions inherited from elastix::BaseComponentSE< TElastix >
void | AddTargetCellToIterationInfo (const char *const name)
const Configuration * | GetConfiguration () const
ElastixType * | GetElastix () const
auto & | GetIterationInfoAt (const char *const name)
RegistrationType * | GetRegistration () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponentSE)
void | RemoveTargetCellFromIterationInfo (const char *const name)
void | SetConfiguration (const Configuration *_arg)
void | SetElastix (ElastixType *_arg)
Public Member Functions inherited from elastix::BaseComponent
virtual void | AfterEachIteration ()
virtual void | AfterEachIterationBase ()
virtual void | AfterEachResolution ()
virtual void | AfterEachResolutionBase ()
virtual void | AfterRegistration ()
virtual void | AfterRegistrationBase ()
virtual int | BeforeAll ()
virtual int | BeforeAllBase ()
virtual void | BeforeEachResolution ()
virtual void | BeforeEachResolutionBase ()
virtual void | BeforeRegistration ()
virtual void | BeforeRegistrationBase ()
virtual const char * | elxGetClassName () const
const char * | GetComponentLabel () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponent)
| itkTypeMacroNoParent (BaseComponent)
void | SetComponentLabel (const char *label, unsigned int idx)

## Protected Member Functions

| InterpolatorBase ()=default
| ~InterpolatorBase () override=default
Protected Member Functions inherited from elastix::BaseComponentSE< TElastix >
| BaseComponentSE ()=default
| ~BaseComponentSE () override=default
Protected Member Functions inherited from elastix::BaseComponent
| BaseComponent ()=default
virtual | ~BaseComponent ()=default

## Private Member Functions

| elxDeclarePureVirtualGetSelfMacro (ITKBaseType)

## Additional Inherited Members

Static Public Member Functions inherited from elastix::BaseComponent
template<typename TBaseComponent>
static auto | AsITKBaseType (TBaseComponent *const baseComponent) -> decltype(baseComponent->GetAsITKBaseType())
static void | InitializeElastixExecutable ()
static bool | IsElastixLibrary ()
Protected Attributes inherited from elastix::BaseComponentSE< TElastix >
Configuration::ConstPointer | m_Configuration {}
itk::WeakPointer< TElastix > | m_Elastix {}
RegistrationType * | m_Registration {}

## Member Typedef Documentation

## CoordRepType

template<class TElastix>

using elastix::InterpolatorBase< TElastix >::CoordRepType = ElastixBase::CoordRepType

Definition at line 62 of file elxInterpolatorBase.h.

## ElastixType

template<class TElastix>

using elastix::BaseComponentSE< TElastix >::ElastixType

Elastix typedef.

Definition at line 57 of file elxBaseComponentSE.h.

## InputImageType

template<class TElastix>

using elastix::InterpolatorBase< TElastix >::InputImageType = typename ElastixType::MovingImageType

Other typedef's.

Definition at line 61 of file elxInterpolatorBase.h.

## ITKBaseType

template<class TElastix>

using elastix::InterpolatorBase< TElastix >::ITKBaseType = itk::InterpolateImageFunction<InputImageType, CoordRepType>

ITKBaseType.

Definition at line 65 of file elxInterpolatorBase.h.

## RegistrationType

template<class TElastix>

using elastix::BaseComponentSE< TElastix >::RegistrationType

RegistrationType; NB: this is the elx::RegistrationBase not an itk::Object or something like that.

Definition at line 62 of file elxBaseComponentSE.h.

## Self

template<class TElastix>

using elastix::InterpolatorBase< TElastix >::Self = InterpolatorBase

Standard ITK-stuff.

Definition at line 50 of file elxInterpolatorBase.h.

## Superclass

template<class TElastix>

using elastix::InterpolatorBase< TElastix >::Superclass = BaseComponentSE<TElastix>

Definition at line 51 of file elxInterpolatorBase.h.

## Constructor & Destructor Documentation

## InterpolatorBase()

template<class TElastix>

elastix::InterpolatorBase< TElastix >::InterpolatorBase | ( |  | ) |

protected default

The constructor.

## ~InterpolatorBase()

template<class TElastix>

elastix::InterpolatorBase< TElastix >::~InterpolatorBase | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## elxDeclarePureVirtualGetSelfMacro()

template<class TElastix>

elastix::InterpolatorBase< TElastix >::elxDeclarePureVirtualGetSelfMacro | ( | ITKBaseType |  | ) |

private

## GetAsITKBaseType() [1/2]

template<class TElastix>

ITKBaseType * elastix::InterpolatorBase< TElastix >::GetAsITKBaseType | ( |  | ) |

inline

Retrieves this object as ITKBaseType.

Definition at line 69 of file elxInterpolatorBase.h.

## GetAsITKBaseType() [2/2]

template<class TElastix>

const ITKBaseType * elastix::InterpolatorBase< TElastix >::GetAsITKBaseType | ( |  | ) | const

inline

Retrieves this object as ITKBaseType, to use in const functions.

Definition at line 77 of file elxInterpolatorBase.h.

## GetClassName()

template<class TElastix>

virtual const char * elastix::InterpolatorBase< TElastix >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented in elastix::BSplineInterpolator< TElastix >, elastix::BSplineInterpolatorFloat< TElastix >, elastix::LinearInterpolator< TElastix >, elastix::NearestNeighborInterpolator< TElastix >, elastix::RayCastInterpolator< TElastix >, and elastix::ReducedDimensionBSplineInterpolator< TElastix >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TElastix>

elastix::InterpolatorBase< TElastix >::ITK_DISALLOW_COPY_AND_MOVE | ( | InterpolatorBase< TElastix > |  | ) |

Generated on 1768596610 for elastix by 1.15.0 |